de.vc.jfo.renderer

## Class SimpleHTMLRenderer

- java.lang.Object
- - de.vc.jfo.renderer.Renderer
  - - de.vc.jfo.renderer.XSLTRenderer
    - - de.vc.jfo.renderer.SimpleHTMLRenderer

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable, javax.xml.transform.ErrorListener

      public class SimpleHTMLRenderer
      extends XSLTRenderer

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.renderer.XSLTRenderer

      `factory`

    - ### Fields inherited from class de.vc.jfo.renderer.Renderer

      `DEFAULT_PRIORITY, XML_ATTR_CLASS, XML_ATTR_CONFIG_EDITOR, XML_ATTR_CONFIG_FILE, XML_ATTR_NAME, XML_ATTR_PRIORTIY, XML_ATTR_RESET_IMAGE_CACHE, XML_ATTR_USE_JFO_LOGGING, XML_NODE_RENDERER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHTMLRenderer()`
    `SimpleHTMLRenderer(java.net.URL stylesheet)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Gets the display name of renderer that can be shown in GUIs.

    - ### Methods inherited from class de.vc.jfo.renderer.XSLTRenderer

      `afterRendering, doRender, error, fatalError, getLogger, getPreferredRTF2FOCompatibilityMode, getSupportedOutputFormats, getTemplates, getTransformerFactory, isReady, warning`

    - ### Methods inherited from class de.vc.jfo.renderer.Renderer

      `beforeRendering, canRender, compareTo, configure, copy, createPrinterJob, doRender, equals, getConfigFile, getPrinterJobFactory, getPriority, isUseJFOLogging, logUnsupportedFormat, reconfigure, render, render, render, render, resolveConfig, setConfigFile, setPrinterJobFactory, setPriority, setUseJFOLogging, supportsFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHTMLRenderer

          public SimpleHTMLRenderer()

    - #### SimpleHTMLRenderer

          public SimpleHTMLRenderer(java.net.URL stylesheet)

  - ### Method Detail

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Description copied from class: `Renderer`
      Gets the display name of renderer that can be shown in GUIs.
      Overrides:
        `getDisplayName` in class `XSLTRenderer`
      Returns:
        Display name.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.